<script lang="ts">
	import ItemsList2 from '../../../../components/Items/ItemsList2.svelte';
	import type { Supplier } from '../../../../utils/types';

	export let supplier: Supplier;
</script>

<div
	class="text-white w-full border border-dotted border-primary-700 p-4 rounded shadow shadow-primary-800"
>
	<div class="flex flex-col gap-2">
		<h1 class="text-2xl font-title font-bold text-center">{supplier.name}</h1>
		<p class="text-center">{supplier.description}</p>
		<ItemsList2 items={supplier.supply} centered />
	</div>
</div>
